using CFX;
using CFX.Production;
using CFX.Structures;
using Sln.Iot.Serilog;

namespace Sln.Iot.CFX.Event
{
    /// <summary>
    /// 工段恢复事件
    /// </summary>
    public class WorkStageResumedEvent
    {
        /// <summary>
        /// 数据封装处理
        /// </summary>
        /// <returns></returns>
        public CFXMessage Handle(Guid tid, string stageName, int stageSequence)
        {
            CFXMessage eve = null;
            try
            {
                eve = new WorkStageResumed()
                {
                    TransactionID = Guid.Parse("281fa09f-cbf6-498d-9f27-7ca77cb60399"),
                    Stage = new Stage()
                    {
                        StageSequence = stageSequence,
                        StageName = stageName,
                        StageType = StageType.Work
                    }
                };
            }
            catch (Exception e)
            {
                SerilogHelper.Instance.Error("终端节点连接事件数据封装异常", e);
            }
            return eve;
        }
    }
}
